Bug 875913 - glusterfs build with gcc's '-pedantic' flag fails
glusterfs build with gcc's '-pedantic' flag fails
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
mainline
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Avra Sengupta
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-12 14:42 EST by Amar Tumballi
Modified: 2013-12-18 19:09 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:55:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
warnings seen on glusterfs (147.34 KB, text/plain)
2012-11-12 14:42 EST, Amar Tumballi
no flags Details

  None (edit)
Description Amar Tumballi 2012-11-12 14:42:24 EST
Created attachment 643689 [details]
warnings seen on glusterfs

Description of problem:
make CFLAGS="-std=gnu99 -pedantic"

Version-Release number of selected component (if applicable):
mainline (git head is 
commit 128514fcb7f4943e6c97139f873db68a009ae893)

How reproducible:
100%

Steps to Reproduce:
1. build as mentioned above.

Expected results:
Build should succeed
Comment 1 Amar Tumballi 2012-11-16 06:06:51 EST
look for 'forbids' in the attachment, and try to fix it.
Comment 2 Vijay Bellur 2012-12-20 02:35:42 EST
CHANGE: http://review.gluster.org/4187 (core: remove all the 'inner' functions in codebase) merged in master by Anand Avati (avati@redhat.com)
Comment 3 Vijay Bellur 2013-01-22 01:17:49 EST
CHANGE: http://review.gluster.org/4219 (core: fixes for gcc's '-pedantic' flag build) merged in master by Anand Avati (avati@redhat.com)
Comment 4 Vijay Bellur 2013-01-23 14:12:30 EST
CHANGE: http://review.gluster.org/4186 ("gcc -pedantic": made 'inline' functions as 'static inline' functions) merged in master by Anand Avati (avati@redhat.com)
Comment 5 Amar Tumballi 2013-01-25 00:45:05 EST
now with latest master, "-std=gnu99 -pedantic" option runs to completion (ofcourse there are warnings, but no errors.

Note You need to log in before you can comment on or make changes to this bug.